# keystore/truststore constants
INCLUSTER_KEYSTORE_PATH = "/etc/ams/store/keystore.p12"
INCLUSTER_TRUSTSTORE_PATH = "/etc/ams/store/truststore.p12"
INCLUSTER_CA_PATH = "/etc/ams/store/ca.crt"
EGRESS_KEYSTORE_PATH = "/etc/ams/egress-store/egress-keystore.p12"

# API endpoints/hosts
CLUSTER_API_HOST = "cluster-api"
NSX_MANAGER_HOST = "external-nsx-manager"

# REST headers
BASE_HEADERS = {'Content-Type': 'application/json'}

# TABLE NAMES
INSPECTION_EVENTS = "inspection_events"
NON_BENIGN_TABLE = "non_benign_table"
SUMMARY_TABLE = "summary_table"
INTERCEPTED_ENTITIES = "intercepted_entities"
CLIENT_CACHE_MAPPING = "client_cache_mapping"
SA_CONFIGURATION = "sa_configurations"
ALLOW_LIST_TABLE = "allow_list_table"
HTTP_HEADER = "http_header"
REPUTATION_FAILED_HASH = "reputation_failed_hash"
REPUTATION_PUBSUB_CONFIG = "reputation_pubsub_config"
REPUTATION_UPDATE_MARKER = "reputation_update_marker"
REPUTATION_QUERY_METADATA = "reputation_query_metadata"
REPUTATION_CLOUD_SERVICE_CONFIG = "reputation_cloud_service_config"
UPDATE_QUEUE = "update_queue"
UNAVAILABLE_QUEUE_TABLE = "unavailable_queue_table"
KAFKA_OFFSET = "kafka_offset"


class Url:
    class InCluster:
        REGISTER_UI_PLUGIN_URL = "https://{service_host}:{service_port}/post-deployment"
        POST_REPORT_PRECHECK = "https://{service_host}:{service_port}/report/precheck"

    class Egress:
        SERVICE_DEFINITION_URL = "https://{service_host}:443/api/v1/serviceinsertion/services/".format(
            service_host=NSX_MANAGER_HOST)
        GET_LICENSE_ALL = "https://{service_host}:443/api/v1/licenses".format(
            service_host=NSX_MANAGER_HOST)

class CheckStatus:
    SUCCESS = "SUCCESS"
    FAILED = "FAILED"
    WARNING = "WARNING"
    SKIPPED = "SKIPPED"
    INPROGRESS = "INPROGRESS"
    STOPPING = "STOPPING"
    STOPPED = "STOPPED"

class Feature:
    MALWAREPREVENTION = "malware-prevention"

class PrecheckPlugin:
    LICENSE = "license"


class Licenses:
      VALID_LICENSE_LIST = [
          "NSX Firewall with Advanced Threat Prevention",
          "NSX Distributed Firewall with Advanced Threat Prevention",
          "NSX Advanced Threat Prevention Add On for NSX Distributed Firewall, NSX DC Advanced, NSX DC Enterprise Plus",
          "NSX Gateway Firewall with Advanced Threat Prevention - VM",
          "NSX Advanced Threat Prevention Add On for Gateway Firewall - VM",
          "NSX Gateway Firewall with Advanced Threat Prevention - ISO",
          "NSX Advanced Threat Prevention Add On for Gateway Firewall - ISO"
      ]
      NSX_EVALUATION = "NSX Data Center Evaluation"