import os

from constants import CLUSTER_API_HOST
from constants import Url
from utils import requests_wrapper
from constants import Feature

def ui_plugin(unregister=False):
    try:
        # create request parameters
        cluster_api_port = os.environ["CLUSTER_API_SERVICE_PORT"]
        url = Url.InCluster.REGISTER_UI_PLUGIN_URL.format(
            service_host=CLUSTER_API_HOST,
            service_port=cluster_api_port)
        req_data = {
            "service_names": ["malware_prevention"],
            "action": "unregister" if unregister else "register",
        }
        print("Calling Malware Prevention UI plugin (un)registration API on cluster-api service")
        requests_wrapper.incluster_request('POST', url, data=req_data)
    except Exception as e:
        print(e)
        raise

