import json
import os

import constants
from constants import Url
from utils import requests_wrapper

def delete_service_definition():
    try:
        print("Get MPS service definition.")
        response = requests_wrapper.egress_request('GET', Url.Egress.SERVICE_DEFINITION_URL)
        service_response = response.json()
        result_count = service_response['result_count']
        print("Result count : ",result_count)
        if(result_count < 1):
           print("No service definition found.")
           return

        results = service_response['results']
        for result in results:
            func = result['functionalities']
            exists = 'MPS' in func
            print("MPS Service definition exists")
            serviceId = result['id']
            break

        if not exists:
            print("No MPS service definition found.")
            return

        print("Service id : ",serviceId)
        print("Get the solution configuration for MPS")
        r = requests_wrapper.egress_request('GET', Url.Egress.SERVICE_DEFINITION_URL+serviceId+"/solution-configs")
        solution_response = r.json()
        count = solution_response['result_count']
        if(count < 1):
           print("No solution configuration found for MPS. Hence, not deleting extended solution config")
        else :
           solutionConfigs = solution_response['results']
           solutionConfig = solutionConfigs[0]
           solutionId = solutionConfig['id']
           print("Solution Id : ",solutionId)
           print("Deleting the extended solution configuration")
           requests_wrapper.egress_request('DELETE', Url.Egress.SERVICE_DEFINITION_URL+serviceId+"/solution-configs/"+solutionId+"/extended-solution-config")

        print("Deleting the service definition")
        requests_wrapper.egress_request('DELETE', Url.Egress.SERVICE_DEFINITION_URL+serviceId)
    except Exception as e:
        print(e)
        raise
